<template>
  <drawer
    :showDrawer="this.drawerView"
    :showHeader="true"
    :showFooter="false"
    :showBtnClose="true"
    :size="'40%'"
    :title="'Visualização'"
    :description="'Dados do usuário'"
    @emit-drawer-closed="handleCloseDrawer"
  >
    <dir class="text-center">
      <h4 class="p-0 m-0">{{ this.portfolio.title }}</h4>
      <span>{{ this.portfolio.title }}</span>
    </dir>
    <div
      :style="{
        position: 'absolute',
        right: 0,
        bottom: 0,
        width: '100%',
        borderTop: '1px solid #e9e9e9',
        padding: '10px 16px',
        background: '#fff',
        textAlign: 'center',
        zIndex: 1,
      }"
    >
      <a-button :style="{ marginRight: '8px' }" @click="handleCloseDrawer"
        >Fechar</a-button
      >
      <a-button type="primary"> <a-icon type="edit" />Editar </a-button>
    </div>
  </drawer>
</template>

<script>
import Drawer from "@/components/generic-components/drawer/drawer";
import "@/filters/generic-filters/filter-registry-active";
export default {
  props: ["portfolio", "drawerView"],
  components: {
    Drawer,
  },
  methods: {
    handleCloseDrawer() {
      this.$emit("emit-close-drawer", false);
    },
  },
};
</script>
